Skip to main content

jaxp 1.3 does not work for jdk 1.4.2_13

5 replies [Last post]
jimyjoshi
Offline
Joined: 2006-01-17

I am building from source the cut version for j2se 5.0. i am compiling it on jdk1.4.2_13. i get a successful build but when using it in my application..it fails as it does not find dom level 3 method in dom.jar. specifally i am using node.getTextContent(). anyone any guesses on this

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
joehw
Offline
Joined: 2004-12-15

are you using the endorsed mechanism to override jaxp 1.2 in jdk1.4? have you placed the newly-built jars to the endorsed the directory?

jimyjoshi
Offline
Joined: 2006-01-17

yes i have all the jar including jax-api jar in the endorsed directory..

joehw
Offline
Joined: 2004-12-15

It should work then. Is it possible that you have multiple jdk installs? You may try running your app pointing directly to the dist/lib and see if your app works properly.

arckjmaster
Offline
Joined: 2007-04-18

can you tell me what the compile command is in window? thx

joehw
Offline
Joined: 2004-12-15

Since you've downloaded the latest build, you'd just use the jars under lib. If you do want to build yourself, you could get the source and then do "ant dist" to build it.